{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  annuaire = config.r6d.machines;
  currentMachine = annuaire."${config.networking.fqdn}";
  flags = currentMachine.configurationFlags;
in

mkIf (flags.internetSuite && flags.graphical) {

# Paquets
environment.systemPackages = with pkgs; [
    # Clients Internet

    ## Navigateur
    chromium
    firefox

    ## Mail & Discussion (texte, audio)
    claws-mail
    hexchat
    quasselClient
    mumble
    pidgin
    thunderbird

    # Transfert de fichier
    filezilla
    transmission-gtk
    transmission-remote-gtk
  ];
}
