{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  annuaire = config.r6d.machines;
  currentMachine = annuaire."${config.networking.fqdn}";
  flags = currentMachine.configurationFlags;
in

mkIf false {
  # Définition du IO Scheduler pour les SSD
  services.udev.extraRules = ''
  # set deadline scheduler for non-rotating disks
  # according to https://wiki.debian.org/SSDOptimization, deadline is preferred over noop
  ACTION=="add|change", KERNEL=="sd[a-z]", ATTR{queue/rotational}=="0", ATTR{queue/scheduler}="deadline"
  '';

}
